#include "text_message.h"

using namespace boost;



text_message::text_message() {}


text_message::text_message(std::string text):_text(text)
{}


void text_message::send(boost::asio::ip::tcp::socket& socket)
{
    boost::system::error_code ec;


    asio::write(socket, asio::buffer(std::to_string(_text.size())), ec);

    asio::write(socket, asio::buffer(":", sizeof(char)), ec);

    asio::write(socket, asio::buffer(_text), ec);

    if (ec)
        throw std::runtime_error("Networking error: " + ec.message());
}


void text_message::receive(boost::asio::ip::tcp::socket& socket)
{}


text_message::~text_message()
{}
