#pragma once

#include "message.h"
#include <string>



class text_message : public message
{
private:
    std::string _text;

public:
    text_message();
    text_message(std::string);

    virtual void send(boost::asio::ip::tcp::socket&) override;
    virtual void receive(boost::asio::ip::tcp::socket&) override;

    virtual ~text_message() override;
};
